Announcement

Collapse
No announcement yet.

AMD Catalyst 8.9 Gets WINE Fix, RandR 1.2 Support

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • nphoronix
    replied
    Anyone still having problems with Xvideo? I still get video flickering and video tearing (ATI 3870).

    Any plans of actually FIXING those problems? I've been trying all sorts of xorg.conf I could find online but the problem's still there, so I doubt it's a xorg.conf misconfiguration.

    Leave a comment:


  • Kano
    replied
    Did you use -v 8-9? Maybe you can try -v 8-7 too.

    Leave a comment:


  • aniruddha
    replied
    Originally posted by Kano View Post
    You can try my script:

    http://kanotix.com/files/install-fglrx-debian.sh

    but you need a supported kernel. You need the CONFIG_PCI_LEGACY=y config option set and you should have got kernel headers installed correctly. Use

    sh install-fglrx-debian.sh -v 8-9

    to try 8-9 driver, 8-8 is currently default because of the stupid debian etch dri bug.
    You script yields exactly the same results:

    Code:
    # modprobe fglrx
    FATAL: Error inserting fglrx (/lib/modules/2.6.26-1-amd64/misc/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)
    Code:
    [   35.598690] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
    [   35.612610] [fglrx]   vendor: 1002 device: 9505 count: 1
    [   35.613093] [fglrx] ioport: bar 4, base 0xc800, size: 0x100
    [   35.613097] [fglrx] Maximum main memory to use for locked dma buffers: 3808 MBytes.
    [   35.614345] [fglrx] PAT is enabled successfully!
    [   35.614345] [fglrx] module loaded - fglrx 8.51.3 [Jul  3 2008] with 1 minors
    [   35.622723] ACPI: PCI Interrupt 0000:05:00.0[A] -> GSI 16 (level, low) -> IRQ 16
    [   35.772804] RPC: Registered udp transport module.
    [   35.772804] RPC: Registered tcp transport module.
    [   36.632763] [fglrx] Reserved FB block: Shared offset:0, size:1000000 
    [   36.632767] [fglrx] Reserved FB block: Unshared offset:ff7f000, size:80000 
    [   51.825335] eth0: no IPv6 routers present
    [  767.350895] atieventsd[3249]: segfault at 10 ip 7f74920375bf sp 7fff9a50dca0 error 4 in libX11.so.6.2.0[7f7491fe8000+107000]
    [  937.149217] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
    [  966.096958] [fglrx] Disable PAT
    [  966.096976] [fglrx] asyncIODestroy finished!
    [  966.097030] [fglrx] module unloaded - fglrx 8.51.3 [Jul  3 2008]
    [  968.926298] fglrx: Unknown symbol flush_tlb_page
    [ 1011.044485] fglrx: Unknown symbol flush_tlb_page
    [ 1046.575856] fglrx: Unknown symbol flush_tlb_page
    [ 1048.566838] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
    [ 1264.372089] fglrx: Unknown symbol flush_tlb_page
    [ 1490.082945] fglrx: Unknown symbol flush_tlb_page
    [ 6812.894912] fglrx: Unknown symbol flush_tlb_page
    [ 6814.909401] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
    [ 6958.821938] atieventsd[26673]: segfault at 10 ip 7f3f538a15bf sp 7fff5bd7a5e0 error 4 in libX11.so.6.2.0[7f3f53852000+107000]
    [ 6959.432850] fglrx: Unknown symbol flush_tlb_page
    [ 6961.421042] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
    [ 7208.562554] fglrx: Unknown symbol flush_tlb_page
    [ 7210.550816] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
    [ 7255.927186] fglrx: Unknown symbol flush_tlb_page
    [ 7279.044878] fglrx: Unknown symbol flush_tlb_page
    [ 7281.031710] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
    [ 7319.673089] fglrx: Unknown symbol flush_tlb_page
    Last edited by aniruddha; 21 September 2008, 11:29 AM.

    Leave a comment:


  • energyman
    replied
    oh that? I have seen distortions like that with 8.8 too - when I run it for the second time.

    Leave a comment:


  • Almindor
    replied
    Originally posted by energyman View Post
    which GL regression? The two games I play (vegastrike, ut2004) got better in low fps situations (vegastrike) or no changes at all (ut2004)
    See article here, about unigine test regressions: http://www.phoronix.com/scan.php?pag...89_linux&num=1

    Leave a comment:


  • energyman
    replied
    which GL regression? The two games I play (vegastrike, ut2004) got better in low fps situations (vegastrike) or no changes at all (ut2004)

    Leave a comment:


  • Almindor
    replied
    One misinformation for this: "fixes ETQW slowness and artifacts", NOT. It's still slow and I still get the artifacts with 8.9.

    Combined with the GL regressions, I guess they "deliver as expected", making more bugs along the way.

    Good work AMD, as always! (never, ever, ever, not even in windows do their drivers work right)

    Leave a comment:


  • Chris Clearwater
    replied
    It seems my half-life 2 issue was actually a problem with Wine/Alsa/PulseAudio, not Catalyst 8.9, sorry for the false alarm!

    Leave a comment:


  • Kano
    replied
    You can try my script:

    http://kanotix.com/files/install-fglrx-debian.sh

    but you need a supported kernel. You need the CONFIG_PCI_LEGACY=y config option set and you should have got kernel headers installed correctly. Use

    sh install-fglrx-debian.sh -v 8-9

    to try 8-9 driver, 8-8 is currently default because of the stupid debian etch dri bug.

    Leave a comment:


  • aniruddha
    replied
    I can't modprobe fglrx with *.deb package build from ATI's *.run file:

    Code:
    # modprobe fglrx
    FATAL: Module fglrx not found.
    Any ideas where I should start to look for a solution? I run Debian testing x86_64

    Update:
    The regular drivers don't work for me either. I need to issue a:
    Code:
    module-assistant auto-install fglrx-kernel-src
    to get 'modprobe fglrx' working. problem is when I try to do that with the latest drivers (which i manually build from ATI's *.sh), it failed because it tried to update to the 'latest' fglrx driver.

    Any idea how to resolve the problems with version conflicts?

    Update2
    I managed to build the kernel-src but now I get this error :
    Code:
    # modprobe fglrx
    FATAL: Error inserting fglrx (/lib/modules/2.6.26-1-amd64/misc/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)
    Last edited by aniruddha; 20 September 2008, 06:50 PM.

    Leave a comment:

Working...
X